
## see Section 5.1 Using a Tagger at http://nltk.googlecode.com/svn/trunk/doc/book/ch05.html
nltk_word_tokenize <- function( str )
    .Python("word_tokenize", as.character(str), .module = "nltk")

## http://nltk.googlecode.com/svn/trunk/doc/api/nltk.tag-module.html
## The following functions calls NLTK's currently recommended part of speech
## tagger to tag the given list of tokens.
## the default tagger:
## _POS_TAGGER = 'taggers/maxent_treebank_pos_tagger/english.pickle'

nltk_pos_tag <- function( tokens )
    .Python("pos_tag", as.character(tokens), .module = "nltk")

nltk_batch_pos_tag <- function( sents )
    .Python("batch_pos_tag", sents, .module = "nltk")

nltk_untag <- function( token_tag_pairs )
    .Python("untag", token_tag_pairs, .module = "nltk")
